Bug 15626 - /bin/mail + suidperl = rootshell
/bin/mail + suidperl = rootshell
Status: CLOSED DUPLICATE of bug 15625
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
6.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Florian La Roche
http://www.securityfocus.com/frames/?...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-07 06:26 EDT by Philip Rowlands
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-07 13:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Rowlands 2000-08-07 06:26:23 EDT
Seems no-one else has posted this yet, so here goes:

A Bugtraq posting explains how local users can gain root access on any
RH6.x system by exploiting a bad interaction between /bin/mail's
undocumented "interactive" feature, and suidperl's tendency to mail root
when it detects a changed script.

The URL is posted into the bugzilla URL field above.

Mail should not allow shell escapes in a SUID context. (It should probably
document the "interactive" feature as well)
Comment 1 Philip Rowlands 2000-08-07 13:29:37 EDT
This duplicates bug ids 15630 and 15641
Comment 2 Pekka Savola 2000-08-08 04:47:32 EDT

*** This bug has been marked as a duplicate of 15625 ***

Note You need to log in before you can comment on or make changes to this bug.